<!-- 1. O site deve apresentar um prompt solicitando a idade do usuário
2. O usuário informa a idade que possui
3. Se um dos valores não for um número, deve exibir uma mensagem de erro no
documento
4. Se a idade for menor que 18, deve exibir no documento uma mensagem que ele não
possui idade para dirigir
5. Se a idade for maior que 18, deve ser exibido no documento:
○ Um input do tipo texto para ser inserido o valor do álcool
○ Um input do tipo texto para ser inserido o valor da gasolina
○ Um botão com os dizeres "Calcular"
6. Ao clicar no botão, deve dividir o valor do álcool pelo valor da gasolina;
7. Se o resultado for menor que 0,7, deve exibir no documento que o álcool é melhor.
Caso contrário, deve exibir que a gasolina é melhor -->

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Document</title>
</head>

<body>

    <button onclick="calcular()">Calcular</button>

    <script>
        var valor = window.prompt("Insira a sua idade:")
        var idade = Number(valor);

        if (isNaN(idade)) {
            alert("Por favor insira somente números!")
            setTimeout(() => {
                window.location.reload()
            }, 3000)
        }

        if (idade < 18) {
            document.write("<h1>Você não possui idade para dirigir!</h1>")
            document.write("<div>Tente novamente quando fizer 18 anos!</div>")

            setTimeout(() => {
                window.location.reload()
            }, 3000)

        } else {
            var alcool = document.createElement("input")
            alcool.setAttribute("type", "text")
            alcool.setAttribute("placeholder", "Valor do alcool")
            alcool.setAttribute("id", "alcool")


            var gasolina = document.createElement("input")
            gasolina.setAttribute("type", "text")
            gasolina.setAttribute("placeholder", "Valor da gasolina")
            gasolina.setAttribute("id", "gasolina")

            document.body.appendChild(alcool)
            document.body.appendChild(gasolina)

            function calcular() {
                var gasolina = document.getElementById("gasolina").value
                var alcool = document.getElementById("alcool").value

                // var calculo = (alcool / gasolina).toFixed(2)

                // console.log("Resultado do calculo: " + calculo);

                if ((alcool / gasolina) < 0.7) {
                    document.write(`<div>Alcool é melhor! valor: ${alcool}`)
                    document.write(`<div>Valor do calculo: ${(alcool / gasolina).toFixed(2)}</div>`)
                } else {
                    document.write(`<div>Gasolina é melhor! valor: ${gasolina}`)
                    document.write(`<div>Valor do calculo: ${(alcool / gasolina).toFixed(2)}</div`)
                }
            }
        }

    </script>
</body>

</html>